| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions

# IG::Script::ScritpRealFunctionExample Class Reference

Example script for definition of a new real function class. More...

Inheritance diagram for IG::Script::ScritpRealFunctionExample:
[legend]
Collaboration diagram for IG::Script::ScritpRealFunctionExample:
[legend]

List of all members.

## Classes
class | Container
| Container class inherits from M in order to enable use of comfortable mathematical functions. More...
## Public Member Functions
override LoadableRealFunctionBase | CreateRealFunction ()
| Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script.
override LoadableRealFunctionBase | CreateRealFunction (double Kx, double Sx)
| Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script.
override LoadableRealFunctionBase | CreateRealFunction (double Kx, double Sx, double Ky, double Sy)
| Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script.

## Detailed Description

Example script for definition of a new real function class.

## Member Function Documentation

override LoadableRealFunctionBase IG::Script::ScritpRealFunctionExample::CreateRealFunction | ( |  | ) | `[inline, virtual]`

Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script.

Implements IG::Lib::LoadableScriptRealFunctionBase.

override LoadableRealFunctionBase IG::Script::ScritpRealFunctionExample::CreateRealFunction | ( | double | Kx,
|  | double | Sx
| ) |  | `[inline, virtual]`

Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script.

Parameters:

  Kx | Stretch of the reference function graph in x direction.
  Sx | Shift of the reference function graph in x direction.

$A Igor Sep11;

Implements IG::Lib::LoadableScriptRealFunctionBase.

override LoadableRealFunctionBase IG::Script::ScritpRealFunctionExample::CreateRealFunction | ( | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[inline, virtual]`

Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script.

Parameters:

  Kx | Stretch of the reference function graph in x direction.
  Sx | Shift of the reference function graph in x direction.
  Ky | Stretch of the reference function graph in y direction.
  Sy | Shift of the reference function graph in y direction.

$A Igor Sep11;

Implements IG::Lib::LoadableScriptRealFunctionBase.

The documentation for this class was generated from the following file:

- RealFunctionScriptExample.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events